BEGIN
  FOR k IN (SELECT null FROM all_synonyms WHERE owner = 'PUBLIC' and synonym_name = 'DELEGATE_MAPPING_V') LOOP
    EXECUTE IMMEDIATE 'DROP PUBLIC SYNONYM DELEGATE_MAPPING_V';
  END LOOP;
  FOR i IN (SELECT null FROM all_views WHERE owner = user and view_name = 'DELEGATE_MAPPING_V') LOOP
    EXECUTE IMMEDIATE 'DROP VIEW DELEGATE_MAPPING_V';
  END LOOP;
END;
/

CREATE VIEW delegate_mapping_v AS
SELECT dm.id,
    dm.unique_user_id AS delegator_id,
    su.display_name AS delegator,
    dm.delegate_unique_user_id AS delegate_id,
    su2.display_name AS delegate,
    dm.reason,
    dm.active,
    dm.last_modify_time,
    dm.last_modify_unique_user_id,
    su3.display_name AS last_modified_by
    
   FROM delegate_mapping dm
     JOIN suser su ON su.unique_user_id = dm.unique_user_id AND su.effective = 1
     JOIN suser su2 ON su2.unique_user_id = dm.delegate_unique_user_id AND su2.effective = 1
     JOIN suser su3 ON su3.unique_user_id = dm.last_modify_unique_user_id AND su3.effective = 1;

GRANT SELECT ON igops.delegate_mapping_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM delegate_mapping_v FOR igops.delegate_mapping_v;